### Method

# Gck Session wrap_key_finish

#### Declaration [src]

    guchar*
    gck_session_wrap_key_finish (
      GckSession* self,
      GAsyncResult* result,
      gsize* n_result,
      GError** error
    )

#### Description [src]

Get the result of a wrap key operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  The async result passed to the callback.

  The data is owned by the caller of the method.

`n_result`

  Type: `gsize*`

  A location in which to return the length of the wrapped data.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guchar`

The wrapped data or `NULL` if the operation failed.

The length of the array is in the `n_result` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.